summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Stakenvicius <axs@gentoo.org>2012-12-09 15:37:12 +0000
committerIan Stakenvicius <axs@gentoo.org>2012-12-09 15:37:12 +0000
commitefa8c3f0b8152c979f7d1df534451e016cd07a59 (patch)
tree85a5e6745e5229c0b94a39aa80813623fe6c394a /eclass/mozconfig-3.eclass
parent[bump] dev-perl/XML-Twig-3.420.0 (diff)
downloadgentoo-2-efa8c3f0b8152c979f7d1df534451e016cd07a59.tar.gz
gentoo-2-efa8c3f0b8152c979f7d1df534451e016cd07a59.tar.bz2
gentoo-2-efa8c3f0b8152c979f7d1df534451e016cd07a59.zip
updated mozilla eclasses to match mozilla-overlay
Diffstat (limited to 'eclass/mozconfig-3.eclass')
-rw-r--r--eclass/mozconfig-3.eclass57
1 files changed, 33 insertions, 24 deletions
diff --git a/eclass/mozconfig-3.eclass b/eclass/mozconfig-3.eclass
index 64241cd5e2fa..82ee228ae77e 100644
--- a/eclass/mozconfig-3.eclass
+++ b/eclass/mozconfig-3.eclass
@@ -1,6 +1,6 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mozconfig-3.eclass,v 1.32 2012/09/12 22:52:18 anarchy Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mozconfig-3.eclass,v 1.33 2012/12/09 15:37:12 axs Exp $
#
# mozconfig.eclass: the new mozilla.eclass
@@ -41,28 +41,39 @@ mozconfig_config() {
fi
fi
- mozconfig_use_enable alsa ogg
- mozconfig_use_enable alsa wave
+ if ! $(mozversion_is_new_enough) ; then
+ mozconfig_use_enable alsa ogg
+ mozconfig_use_enable alsa wave
+ mozconfig_use_enable libnotify
+ mozconfig_use_enable debug debugger-info-modules
+ if has +ipc ${IUSE}; then
+ mozconfig_use_enable ipc
+ fi
+ if [[ ${PN} != thunderbird ]] ; then
+ mozconfig_annotate 'places' --enable-storage --enable-places --enable-places_bookmarks
+ mozconfig_annotate '' --enable-oji --enable-mathml
+ mozconfig_annotate 'broken' --disable-mochitest
+ fi
+ if use system-sqlite; then
+ mozconfig_annotate '' --with-sqlite-prefix="${EPREFIX}"/usr
+ fi
+ if use amd64 || use x86 || use arm || use sparc; then
+ mozconfig_annotate '' --enable-tracejit
+ fi
+ fi
+
mozconfig_use_enable dbus
mozconfig_use_enable debug
mozconfig_use_enable debug tests
- mozconfig_use_enable debug debugger-info-modules
- if has +ipc ${IUSE}; then
- mozconfig_use_enable ipc
- fi
- mozconfig_use_enable libnotify
mozconfig_use_enable startup-notification
mozconfig_use_enable system-sqlite
- if use system-sqlite; then
- mozconfig_annotate '' --with-sqlite-prefix="${EPREFIX}"/usr
- fi
mozconfig_use_enable wifi necko-wifi
- if [[ ${PN} == xulrunner ]] ; then
- mozconfig_annotate 'mozjs' --enable-shared-js
- fi
-
- if has +webm ${IUSE} && use webm; then
+ if $(mozversion_is_new_enough) ; then
+ mozconfig_annotate 'required' --enable-ogg
+ mozconfig_annotate 'required' --enable-wave
+ mozconfig_annotate 'required' --with-system-libvpx
+ elif has +webm ${IUSE} && use webm; then
if ! use alsa; then
echo "Enabling alsa support due to webm request"
mozconfig_annotate '+webm -alsa' --enable-ogg
@@ -78,8 +89,11 @@ mozconfig_config() {
mozconfig_annotate '' --disable-system-libvpx
fi
- if use amd64 || use x86 || use arm || use sparc; then
- mozconfig_annotate '' --enable-tracejit
+ # Disable webrtc for arches that it doesn't support, bug 444780
+ if $(mozversion_is_new_enough) ; then
+ if ! use x86 && ! use amd64 ; then
+ mozconfig_annotate '' --disable-webrtc
+ fi
fi
# These are enabled by default in all mozilla applications
@@ -92,9 +106,4 @@ mozconfig_config() {
mozconfig_annotate '' --disable-gnomeui
mozconfig_annotate '' --enable-gio
mozconfig_annotate '' --disable-crashreporter
- if [[ ${PN} != thunderbird ]] ; then
- mozconfig_annotate 'places' --enable-storage --enable-places --enable-places_bookmarks
- mozconfig_annotate '' --enable-oji --enable-mathml
- mozconfig_annotate 'broken' --disable-mochitest
- fi
}